Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007204 [DCSS] Patches feature have not tried 2013-06-12 13:55 2014-03-04 00:44
Reporter Grandiloquent Gentleman View Status public  
Assigned To wheals
Priority normal Resolution done  
Status closed   Product Branch 0.13 ancient branch
Summary 0007204: Silver branded Lajatang
Description Implimentation of
https://crawl.develz.org/tavern/viewtopic.php?f=8&t=8222 [^]

I'm still not happy about the hit dice for the evoke ability but is seems there is a consistent lack of consistency between monster spells and player spells anyway. If anyone wants to change the values of the hit die feel free.
Additional Information
Tags No tags attached.
Attached Files ? file icon silver_moon.patch [^] (8,211 bytes) 2013-06-12 13:55 [Show Content]
? file icon silver_moon_bolt_of_silver.patch [^] (9,621 bytes) 2013-06-14 08:20 [Show Content]

- Relationships
related to 0007767closed Axe of Law, a silvered axe 

-  Notes
(0023160)
KiloByte (manager)
2013-06-12 17:37

1. the word you want is "waning" not "waining"
2. it feels strange to have variable plusses on something tied to Zin
3. you heavily conflate "silver" and "Zin": silver affects inherently chaotic/shapechanged beings only. Zin also has an number of arbitrary rules: he hates stealing, causing hunger, causing rot or disease, insanity, knowing a bunch of spells he hates, etc. The bolt of Zin affects the latter.

Silver is a metal that interferes with a quite well defined type of magic, Zin is a god with a laundry list of dislikes that defy logic (he's modelled after RL religion).

So your "silver" weapon hurts things that Zin hates but silver by itself is in no way harmful to. Thus, I'd seriously change either the theme or behaviour of this weapon.
(0023171)
Grandiloquent Gentleman (reporter)
2013-06-13 08:10

1. my fault, I can't spell.
2. variable pluses were tied to the moon theme not to Zin.
3. I see your point, that hadn't occurred to me, but SPELL_SILVER_BLAST uses BEAM_BOLT_OF_ZIN. I am now working on changing the evoke from SPELL_SILVER_BLAST to a bolt of silver (a la the other bolt spells), which will avoid messing with SPELL_SILVER_BLAST and only affect things with actual silver vulnerability.

Thanks for the feedback.
(0025437)
Grandiloquent Gentleman (reporter)
2014-02-27 09:53

This was Implemented minus the evocable abilities.

- Issue History
Date Modified Username Field Change
2013-06-12 13:55 Grandiloquent Gentleman New Issue
2013-06-12 13:55 Grandiloquent Gentleman File Added: silver_moon.patch
2013-06-12 17:37 KiloByte Note Added: 0023160
2013-06-13 08:10 Grandiloquent Gentleman Note Added: 0023171
2013-06-14 08:20 Grandiloquent Gentleman File Added: silver_moon_bolt_of_silver.patch
2014-02-27 09:53 Grandiloquent Gentleman Note Added: 0025437
2014-03-04 00:44 sgrunt Relationship added related to 0007767
2014-03-04 00:44 sgrunt Assigned To => wheals
2014-03-04 00:44 sgrunt Status new => closed
2014-03-04 00:44 sgrunt Resolution open => done
2014-03-04 00:44 sgrunt Fixed in Branch => 0.14 development branch


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker